Skip to main content
`Ctrl`+`K`

# PetscSectionGetField

Get the `PetscSection` associated with a single field

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetField(PetscSection s, PetscInt field, PetscSection *subs)

## Input Parameters

- s - The `PetscSection`

- field - The field number

## Output Parameter

- subs - The `PetscSection` for the given field, note the chart of `subs` is not set

## Note

Does not increase the reference count of the selected sub-section. There is no matching `PetscSectionRestoreField()`

## See Also

PetscSection, `PetscSection`, `IS`, `PetscSectionSetNumFields()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages